<?php

namespace App\ViewModels\Perfil\PerfilRegistrationViewModel;
use App\Utils\Builder;
use App\Utils\ResponseException;
use Config\CustomRules;
use Exception;

class PerfilRegistrationViewModelBuilder implements Builder
{
    protected $descricao;
    protected $permissao;

    /**
     * @param mixed $descricao
     * @return PerfilRegistrationViewModelBuilder
     */
    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }

    /**
     * @param mixed $permissao
     * @return PerfilRegistrationViewModelBuilder
     */
    public function setPermissao($permissao)
    {
        $this->permissao = $permissao;
        return $this;
    }

    public function build () {
        $paciente_registration_view_model = new PerfilRegistrationViewModel();
        $paciente_registration_view_model->setDescricao($this->descricao);
        $paciente_registration_view_model->setPermissao($this->permissao);
        return $paciente_registration_view_model;
    }
}
